Plank.DockItemDrawValue – plank Reference Manual

# DockItemDrawValue

## Object Hierarchy:

## Description:

public class DockItemDrawValue

Contains all positions and modifications to draw a dock-item on the dock

Namespace: Plank
Package: plank

## Content:

### Creation methods:

- public DockItemDrawValue ()

### Methods:

- public void move_in (PositionType position, double damount)
- public void move_right (PositionType position, double damount)

### Fields:

- public Rectangle background_region
- public PointD center
- public double darken
- public Rectangle draw_region
- public Rectangle hover_region
- public double icon_size
- public double lighten
- public double opacity
- public bool show_indicator
- public PointD static_center
- public double zoom